unit Options;

interface

uses
   Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
   Dialogs, StdCtrls, Buttons, ExtCtrls, TntStdCtrls, TntExtCtrls,
   TntButtons, TntForms, TntDialogs, TntSysUtils;

type
   TfrmOptions = class(TTNTForm)
      pnlAll: TTntPanel;
      gbGeneral: TTntGroupBox;
      cmbLock: TTntCheckBox;
      gbVirtualBox: TTntGroupBox;
      gbQemu: TTntGroupBox;
      btnOK: TTntBitBtn;
      btnCancel: TTntBitBtn;
      lblVBExePath: TTntLabel;
      edtVBExePath: TTntEdit;
      btnBrowseForVBExe: TTntSpeedButton;
      cmbSecondDrive: TTntCheckBox;
      lblUpdate: TTntLabel;
      cmbUseVboxmanage: TTntCheckBox;
      cmbDirectly: TTntCheckBox;
      lblQExePath: TTntLabel;
      edtQExePath: TTntEdit;
      btnBrowseForQExe: TTntSpeedButton;
      edtDefaultParameters: TTntEdit;
      lblDefaultParameters: TTntLabel;
      odSearchExe: TTntOpenDialog;
      procedure cmbUseVboxmanageClick(Sender: TObject);
      procedure cmbDirectlyClick(Sender: TObject);
      procedure btnBrowseForVBExeClick(Sender: TObject);
      procedure btnBrowseForQExeClick(Sender: TObject);
      procedure btnOKClick(Sender: TObject);
   private
      { Private declarations }
   public
      { Public declarations }
   end;

var
   frmOptions: TfrmOptions;

implementation

uses MainForm;

{$R *.dfm}

procedure TfrmOptions.cmbUseVboxmanageClick(Sender: TObject);
begin
   cmbDirectly.Checked := not cmbUseVboxmanage.Checked;
end;

procedure TfrmOptions.cmbDirectlyClick(Sender: TObject);
begin
   cmbUseVboxmanage.Checked := not cmbDirectly.Checked;
end;

procedure TfrmOptions.btnBrowseForVBExeClick(Sender: TObject);
var
   FolderName: WideString;
begin
   FolderName := WideExtractFilePath(odSearchExe.FileName);
   odSearchExe.FileName := '';
   if FolderName = '' then
   begin
      if odSearchExe.InitialDir = '' then
         odSearchExe.InitialDir := GetEnvVarValue('ProgramFiles');
   end
   else
      odSearchExe.InitialDir := FolderName;
   if odSearchExe.Execute then
   begin
      edtVBExePath.Text := odSearchExe.FileName;
      edtVBExePath.SelStart := Length(edtVBExePath.Text);
      edtVBExePath.SelLength := 0;
   end;
end;

procedure TfrmOptions.btnBrowseForQExeClick(Sender: TObject);
var
   FolderName: WideString;
begin
   FolderName := WideExtractFilePath(odSearchExe.FileName);
   odSearchExe.FileName := '';
   if FolderName = '' then
   begin
      if odSearchExe.InitialDir = '' then
         odSearchExe.InitialDir := GetEnvVarValue('ProgramFiles');
   end
   else
      odSearchExe.InitialDir := FolderName;
   if odSearchExe.Execute then
   begin
      edtQExePath.Text := odSearchExe.FileName;
      edtQExePath.SelStart := Length(edtQExePath.Text);
      edtQExePath.SelLength := 0;
   end;
end;

procedure TfrmOptions.btnOKClick(Sender: TObject);
begin
   if (Trim(edtVBExePath.Text) <> '') and (not WideFileExists(Trim(edtVBExePath.Text))) then
   begin
      MessageBoxW(Handle, PWideChar('The file "' + Trim(edtVBExePath.Text) + '" doesn''t exist !'), 'Warning', MB_OK or MB_ICONWARNING);
      Exit;
   end;
   if (Trim(edtQExePath.Text) <> '') and (not WideFileExists(Trim(edtQExePath.Text))) then
   begin
      MessageBoxW(Handle, PWideChar('The file "' + Trim(edtQExePath.Text) + '" doesn''t exist !'), 'Warning', MB_OK or MB_ICONWARNING);
      Exit;
   end;
   ModalResult := mrOk;
end;

end.

